Name:		telepathy-idle
Version:	0.2.2
Release:	%mkrel 1
Summary:	A Telepathy connection manager implementation for the IRC protocol
Group:		Networking/Instant messaging
License:	LGPLv2
URL:		https://telepathy.freedesktop.org/wiki/
Source0:	https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libxslt-proc
BuildRequires:	python3
Requires:	telepathy-filesystem
Requires:	telepathy-glib

%description
A Telepathy connection manager implementation for the IRC protocol.

%prep
%setup -q
2to3 --write --nobackups --no-diffs tools
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.idle.service
%{_datadir}/telepathy/managers/idle.manager
%{_libexecdir}/telepathy-idle
%{_mandir}/man8/telepathy-idle.8*


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 0.2.2-1.mga8
+ Revision: 1665493
- 0.2.2
- remove patch (fixed upstream)

* Thu Apr 30 2020 umeabot <umeabot> 0.2.0-8.mga8
+ Revision: 1577268
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-7.mga7
+ Revision: 1301362
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 951006
- Mageia 6 Mass Rebuild

* Wed Dec 03 2014 philippem <philippem> 0.2.0-5.mga5
+ Revision: 800506
- drop BR: python-pyxml

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 750123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 689791
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 538924
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 0.2.0-1.mga4
+ Revision: 491067
- 0.2.0

* Thu Sep 19 2013 luigiwalser <luigiwalser> 0.1.17-1.mga4
+ Revision: 481424
- 0.1.17

* Fri May 03 2013 luigiwalser <luigiwalser> 0.1.16-1.mga3
+ Revision: 412187
- 0.1.16

* Tue Apr 30 2013 luigiwalser <luigiwalser> 0.1.15-1.mga3
+ Revision: 411603
- 0.1.15 (fixes CVE-2007-6746)

* Mon Jan 14 2013 umeabot <umeabot> 0.1.14-2.mga3
+ Revision: 384235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 luigiwalser <luigiwalser> 0.1.14-1.mga3
+ Revision: 344387
- 0.1.14

* Wed Jan 09 2013 pterjan <pterjan> 0.1.12-2.mga3
+ Revision: 344351
- Disable parallel build
+ fwang <fwang>
- new version 0.1.12

* Mon Nov 21 2011 wally <wally> 0.1.11-1.mga2
+ Revision: 170555
- new version 0.1.11

* Wed Jul 20 2011 ahmad <ahmad> 0.1.10-2.mga2
+ Revision: 127394
- Don't run autoreconf, it works with our current libtool o-o-t-b
- Convert the BR to the pkgconfig BR style
- Update the file list
- imported package telepathy-idle


* Sun May 15 2011 Götz Waschk <waschk@mandriva.org> 0.1.10-1mdv2011.0
+ Revision: 674964
- update to new version 0.1.10

* Wed Apr 27 2011 Funda Wang <fwang@mandriva.org> 0.1.9-1
+ Revision: 659585
- update to new version 0.1.9

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-3mdv2011.0
+ Revision: 615169
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.1.6-2mdv2010.1
+ Revision: 533639
- rebuild for new openssl

* Fri Feb 19 2010 Frederik Himpe <fhimpe@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 508524
- update to new version 0.1.6

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.5-1mdv2010.0
+ Revision: 440723
- update to new version 0.1.5

* Thu May 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.4-1mdv2010.0
+ Revision: 380615
- update to new version 0.1.4

* Fri Feb 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-1mdv2009.1
+ Revision: 343498
- Fix BuildRequires
- Update to new version 0.1.3
- Run autoreconf and libtoolize to mke it build with our new libtool
- Clean up SPEC file
- Fix license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix spacing at top of description

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 145856
- Try in iurt before submit to BS
- Add BR
- Add BR
- New release 0.1.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 40389
- update to 0.1.1

* Sun Jun 10 2007 Michael Scherer <misc@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 37794
- add missing BuildRequires
- use macros for %%make

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 0.1.0

* Tue May 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.0.5-1mdv2008.0
+ Revision: 19943
- New version 0.0.5


* Mon Jan 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.4-1mdv2007.0
+ Revision: 115050
- Import telepathy-idle

